Commit 996248fd authored by Karol Latecki's avatar Karol Latecki Committed by Tomasz Zawadzki
Browse files

test/iscsi_tgt: do not silently skip rbd.sh tests



Remove if/exit steps from rbd.sh and move the condition
to parent script iscsi_tgt.sh.

Signed-off-by: default avatarKarol Latecki <karol.latecki@intel.com>
Change-Id: I86c9c659e0f8b4f544296e2ef8a861b25fd4f424
Reviewed-on: https://review.spdk.io/gerrit/c/spdk/spdk/+/1081


Tested-by: default avatarSPDK CI Jenkins <sys_sgci@intel.com>
Reviewed-by: default avatarBen Walker <benjamin.walker@intel.com>
Reviewed-by: default avatarTomasz Zawadzki <tomasz.zawadzki@intel.com>
parent 325010bf
Loading
Loading
Loading
Loading
+4 −0
Original line number Diff line number Diff line
@@ -58,6 +58,10 @@ if [ $SPDK_TEST_RBD -eq 1 ]; then
	# RBD tests do not support network namespaces,
	# they can only be run on posix sockets.
	if [ "$TEST_TYPE" == "posix" ]; then
		if ! hash ceph; then
			echo "ERROR: SPDK_TEST_RBD requested but no ceph installed!"
			false
		fi
		run_test "iscsi_tgt_rbd" ./test/iscsi_tgt/rbd/rbd.sh
	fi
fi
+0 −5
Original line number Diff line number Diff line
@@ -9,11 +9,6 @@ source $rootdir/test/iscsi_tgt/common.sh
# $2 = test type posix or vpp. defaults to posix.
iscsitestinit $1 $2

if ! hash ceph; then
	echo "Ceph not detected on this system; skipping RBD tests"
	exit 0
fi

timing_enter rbd_setup
rbd_setup $TARGET_IP $TARGET_NAMESPACE
trap 'rbd_cleanup; exit 1' SIGINT SIGTERM EXIT